> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recupera i dettagli di un membro

> Recupera informazioni dettagliate su uno specifico membro Enterprise

Richiede la personal API key di un amministratore Enterprise.

Restituisce informazioni dettagliate su uno specifico membro della tua Enterprise, inclusi il suo profilo, le metriche di attività e le autorizzazioni di accesso.


## OpenAPI

````yaml it/v2-openapi.yaml GET /v2/enterprise/members/{user_id}
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members/{user_id}:
    get:
      tags:
        - members
      summary: Endpoint dettagli membro Enterprise
      description: Ottieni i dettagli di un membro specifico di questa Enterprise
      operationId: enterprise_member_details_endpoint_v2_enterprise_members__user_id__get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseUserResponse'
          description: Risposta corretta
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    EnterpriseUserResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        enterprise_role:
          title: Enterprise Role
          type: string
        last_login:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Login
        login_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Login Count
        name:
          title: Name
          type: string
        saml_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Saml Id
        searches_created_count:
          default: 0
          title: Searches Created Count
          type: integer
        sessions_created_count:
          default: 0
          title: Sessions Created Count
          type: integer
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - enterprise_role
        - created_at
      title: EnterpriseUserResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````